﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace WpfInfragisticsTest
{
    public class MyLogic
    {
        ObservableCollection<MyItem> items;

        public ObservableCollection<MyItem> Items
        {
            get
            {
                if (items == null)
                    items = new ObservableCollection<MyItem>();
                items.Clear();
                for (int i = 1; i <= 10; i++)
                    items.Add(new MyItem { Text = i + ".Password", Value = i });
                return items;
            }
        }
    }

    public class MyItem
{
    public string Text { get; set; }
    public int Value { get; set; }

    public bool IsLow
    {
        get
        {
            return (Value <= 5);
        }
    }
}
}
